---
title: Collector Plugins
---

import DocCardList from '@theme/DocCardList';

Collectors are core [`HopprPlugin` subclasses](https://gitlab.com/hoppr/hoppr/-/blob/dev/hoppr/base_plugins/collector.py#L2)
used to retrieve artifacts from wherever they are maintained (e.g. a URL, or a specialized repository), and place
them in a directory structure.

Collectors will also generate hashes for each component, validating these generated hashes against
existing hashes in the user-provided SBOM component as well as any hashes provided by package manager.
These generated hashes will also be written to the component in the delivered SBOM.
Note that the `git`, `nexus`, `nuget`, and `docker` collectors do not explicitly collect and validate hashes.

Most Collector plugins are thin wrappers for various package managers, check out the library
of current Hoppr core collectors below:

<DocCardList />
